Altibase.jdbc.driver

## Class AltibaseBitSet

- java.lang.Object
- - java.util.BitSet
  - - Altibase.jdbc.driver.AltibaseBitSet

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class AltibaseBitSet
    extends java.util.BitSet

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`AltibaseBitSet(int aBitSetSize)` 지정한 크기를 갖는 BitSet을 만든다.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear(int aBitIndex)`
`int` `length()`
`void` `set(int aBitIndex)`
`int` `size()`

### Methods inherited from class java.util.BitSet

`and, andNot, cardinality, clear, clear, clone, equals, flip, flip, get, get, hashCode, intersects, isEmpty, nextClearBit, nextSetBit, or, previousClearBit, previousSetBit, set, set, set, stream, toByteArray, toLongArray, toString, valueOf, valueOf, valueOf, valueOf, xor`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AltibaseBitSet

    public AltibaseBitSet(int aBitSetSize)

지정한 크기를 갖는 BitSet을 만든다.

Parameters:
  `aBitSetSize` - BitSet의 크기

### Method Detail

#### size

    public int size()

Overrides:
  `size` in class `java.util.BitSet`

#### length

    public int length()

Overrides:
  `length` in class `java.util.BitSet`

#### set

    public void set(int aBitIndex)

Overrides:
  `set` in class `java.util.BitSet`

#### clear

    public void clear(int aBitIndex)

Overrides:
  `clear` in class `java.util.BitSet`